Bug 569790 - Send IPv6 address of network interfaces to rhnParent
Summary: Send IPv6 address of network interfaces to rhnParent
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Jiří Mikulka
URL:
Whiteboard:
Keywords: Reopened
Depends On: spaceIPv6 569793 655310 743259 767679 767680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 12:44 UTC by Miroslav Suchý
Modified: 2014-10-06 13:46 UTC (History)
4 users (show)

(edit)
Clone Of:
: 655310 (view as bug list)
(edit)
Last Closed: 2012-06-20 11:59:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0752 normal SHIPPED_LIVE rhn-client-tools and yum-rhn-plugin bug fix and enhancement update 2012-06-19 19:31:17 UTC

Description Miroslav Suchý 2010-03-02 12:44:58 UTC
Description of problem:
rhn-client tools report HW info to rhnParent. But we currently send only IPv4 address and not IPv6 address.
We use python-ethtool to grab the information. We can either request IPv6 support in python-ethtool or do some workaround.

Comment 2 RHEL Product and Program Management 2010-03-02 13:10:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Miroslav Suchý 2010-03-02 13:12:43 UTC
We should also change in hardware.py in function change gethostbyname(gethostname()) to socket.getaddrinfo(gethostname()), but it does not contain simple value and we should somehow pick up the right value.

Comment 4 Jan Pazdziora 2010-05-13 13:03:28 UTC
Taking.

Comment 5 Jan Pazdziora 2010-05-13 13:05:22 UTC
I do not consider this to be RHEL 6.0 material. We do not have working code, we do not even know if it would break the server side, if the server would be able to store the IPv6 data.

I'm going to move this to 6.1 instead of devel nacking this, so that we do not lose it from our radar.

Comment 8 Jan Pazdziora 2010-11-19 16:19:31 UTC
Moving to space13.

Comment 9 Miroslav Suchý 2010-11-20 12:19:31 UTC
Removing space13, this is not spacewalk bug.

Comment 10 Jan Pazdziora 2010-11-23 15:02:57 UTC
Fixing blocks/depends on.

Comment 11 Jan Pazdziora 2010-11-23 15:03:34 UTC
We seem to have fix in Spacewalk, in bug 655310. Devel ack.

Comment 12 Miroslav Suchý 2011-01-18 12:45:00 UTC
Fix from bug 655310 require:
 Requires: python-ethtool >= 0.4

We have two option:
 a) flip this to RHEL7 BZ. But there will be rebase to current version, which will support it anyway.
 b) rebase python-ethtool in RHEL6. Which is unlikely since this is not customer driven BZ.

Closing as WONTFIX.

Comment 13 Miroslav Suchý 2011-10-13 15:41:49 UTC
Reopening as RHEL5 rebased to python-ethtool-0.6 in RHEL5.7 and in RHEL6.1

Comment 15 Jan Pazdziora 2011-11-24 11:10:34 UTC
Setting devel ack for RHEL 6.3.

Comment 17 Miroslav Suchý 2011-12-21 10:57:07 UTC
cherrypicked as:
* 68fd40a (HEAD, client-rhel-6) 569790 - for scope on rhel5 do s/global/universe/
* ed0e024 743259 - RHEL5 now has python-ethtool 0.6 - simplify code 
* 41b50c7 on el5 do not send IPv6 addresses
* f9a8024 655310 - replace gethostbyname by getaddrinfo
* 8e898b5 655310 - send IPv6 addresses to server

Comment 20 Miroslav Suchý 2012-02-28 16:36:54 UTC
fixed in spacewalk.git by commit 1afa6549
cherrypicked as to satellite.git as 0d11ddbd0496ffcf446169531255da10acac7c99

Comment 23 errata-xmlrpc 2012-06-20 11:59:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0752.html


Note You need to log in before you can comment on or make changes to this bug.